Bug 430243 - fulltext search for Å doesn't work
Summary: fulltext search for Å doesn't work
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: PDF backend (show other bugs)
Version: 1.9.3
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-11 02:59 UTC by Jonas
Modified: 2020-12-22 22:02 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.12.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas 2020-12-11 02:59:22 UTC
SUMMARY

fulltext search for "Å" with okular in
https://arxiv.org/pdf/1301.2134.pdf
yields no results, even though I got the character out of this document by 
selecting and copying.

Searching for the same character in the same document in evince or qpdfview works as expected.
Comment 1 Bug Janitor Service 2020-12-12 23:20:04 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/okular/-/merge_requests/339
Comment 2 Albert Astals Cid 2020-12-22 00:19:19 UTC
Git commit d112682611cd38fe7f28943f688648b5862c7582 by Albert Astals Cid.
Committed on 21/12/2020 at 22:32.
Pushed by aacid into branch 'release/20.12'.

Make search work on documents that describe Å as A + ◌̊

M  +23   -0    autotests/searchtest.cpp
M  +16   -1    core/textpage.cpp

https://invent.kde.org/graphics/okular/commit/d112682611cd38fe7f28943f688648b5862c7582